Azure Kubernetes Service

View as Markdown
  • POST
  • /workspaces
  • /:workspace
  • /targets

Create a new Azure Kubernetes Service deployment target

Request

REQUIRED SCOPES
TARGET_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

BODY PARAMETERS
typestring
The type of the target

Value: AKS

idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
allowed_environmentsAllowedEnvironmentView[]
List of environments whose sandboxes are allowed to use this target. A rule for a specific sandbox takes precedence over an environment rule.
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKS
clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster
regionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)
proxyTargetK8sProxyView
SSH proxy target for tunneling to private ClickHouse servers
subscriptionrequiredstring
Type of AKS subscription
resource_grouprequiredstring
Azure resource group containing the AKS cluster

Response

RESPONSE BODY
typestring
The type of the target

Value: AKS

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
allowed_environmentsAllowedEnvironmentView[]
List of environments whose sandboxes are allowed to use this target. A rule for a specific sandbox takes precedence over an environment rule.
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKS
clusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster
regionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)
proxyTargetK8sProxyView
SSH proxy target for tunneling to private ClickHouse servers
subscriptionrequiredstring
Type of AKS subscription
resource_grouprequiredstring
Azure resource group containing the AKS cluster

Last modified on Nov 17, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/targets" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "AKS",
  "identifier": "aks-development",
  "name": "AKS Development Cluster",
  "integration": "azure-integration",
  "cluster": "dev-cluster",
  "region": "eastus",
  "subscription": "12345678-1234-1234-1234-123456789012",
  "resource_group": "dev-resource-group",
  "tags": [
    "kubernetes",
    "azure",
    "development"
  ]
}'
STATUS
201 Created